Skip to main content
`Ctrl`+`K`

# PetscDualSpaceLagrangeGetMomentOrder

Get the order for moment integration

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceLagrangeGetMomentOrder(PetscDualSpace sp, PetscInt *order)

Not Collective

## Input Parameter

- sp - The `PetscDualSpace`

## Output Parameter

- order - Moment integration order

## See Also

`PETSCDUALSPACELAGRANGE`, `PetscDualSpace`, `PetscDualSpaceLagrangeSetMomentOrder()`

## Level

advanced

## Location

src/dm/dt/dualspace/impls/lagrange/dspacelagrange.c

## Implementations

PetscDualSpaceLagrangeGetMomentOrder_Lagrange() in src/dm/dt/dualspace/impls/lagrange/dspacelagrange.c
PetscDualSpaceLagrangeGetMomentOrder_Sum() in src/dm/dt/dualspace/impls/sum/dualspacesum.c

Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages